From ea8f4631a5837a0f91d947861439c015baa10ff6 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:43:19 +0000
Subject: [PATCH 14/51] format guideline blurbs and problem details better


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 8af5630..4761128 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -1,9 +1,16 @@
 import inspect
+from shutil import get_terminal_size
+
+from click.formatting import wrap_text
 
 import modulemd
+
 import yaml
 
 
+TEXT_INDENT = "    "
+
+
 class guidelines_link(object):
     """Decorate a linter method with a link to the guidelines (can be a full
     URL or just an anchor on the main wiki page)."""
@@ -169,19 +176,25 @@ class ModuleMDLinter(object):
                                 lint_detail, method.lint_guidelines_url, e))
                 failed_or_skipped.add(method.__name__)
 
+        width, height = get_terminal_size()
+
         for i, (lvl, text, detail, url, exc) in enumerate(flagged):
             print("[{lvl}] {url}".format(lvl=lvl.upper(),
                                          url=url or ""))
 
             print()
-            for l in text.split("\n"):
-                print("\t" + l)
+            print(wrap_text(text=text, width=width - 2,
+                            initial_indent=TEXT_INDENT,
+                            subsequent_indent=TEXT_INDENT,
+                            preserve_paragraphs=True))
 
             if detail:
                 print()
-                print("\tDETAIL:")
-                for l in detail.split("\n"):
-                    print("\t" + l)
+                print(TEXT_INDENT + "DETAIL:")
+                print(wrap_text(text=detail, width=width - 2,
+                                initial_indent=TEXT_INDENT,
+                                subsequent_indent=TEXT_INDENT,
+                                preserve_paragraphs=True))
 
             if i < len(flagged) - 1:
                 print()

